package com.plannaplan.entities;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;

@Entity
public class Exchange {

    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    @OneToOne
    @JoinColumn(name = "trader_id")
    private User trader;

    @OneToOne
    @JoinColumn(name = "owned_id")
    private Assignment ownedAssignment;
   
    @OneToOne
    @JoinColumn(name = "desired_id")
    private Groups desiredAssignment;
    
    public Exchange() {

    }

    public Exchange(User trader, Assignment ownedAssignment, Groups desiredAssignment){
        this.trader = trader;
        this.ownedAssignment = ownedAssignment;
        this.desiredAssignment = desiredAssignment;
    }

    public Long getId(){
        return this.id;
    }

    public Groups getDesiredAssignment() {
        return desiredAssignment;
    }

    public void setDesiredAssignment(Groups desiredAssignment) {
        this.desiredAssignment = desiredAssignment;
    }

    public Assignment getOwnedAssignment() {
        return ownedAssignment;
    }

    public void setOwnedAssignment(Assignment ownedAssignment) {
        this.ownedAssignment = ownedAssignment;
    }

    public User getTrader() {
        return trader;
    }

    public void setTrader(User trader) {
        this.trader = trader;
    }

}
